|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectwicket.Request
wicket.protocol.http.WebRequest
wicket.protocol.http.servlet.ServletWebRequest
wicket.protocol.http.servlet.MultipartServletWebRequest
public class MultipartServletWebRequest
Servlet specific WebRequest subclass for multipart content uploads.
| Constructor Summary | |
|---|---|
MultipartServletWebRequest(javax.servlet.http.HttpServletRequest request,
Bytes maxSize)
Constructor |
|
| Method Summary | |
|---|---|
FileItem |
getFile(java.lang.String fieldName)
Gets the file that was uploaded using the given field name. |
java.util.Map |
getFiles()
|
java.lang.String |
getParameter(java.lang.String key)
Gets the request parameter with the given key. |
java.util.Map |
getParameterMap()
Gets the request parameters. |
java.lang.String[] |
getParameters(java.lang.String key)
Gets the request parameters with the given key. |
protected void |
onUploadCompleted()
Upload completed callback |
protected void |
onUploadStarted(int totalBytes)
Upload start callback |
protected void |
onUploadUpdate(int bytesUploaded,
int total)
Upload status update callback |
protected boolean |
wantUploadProgressUpdates()
Subclasses that want to receive upload notifiactions should return true |
| Methods inherited from class wicket.protocol.http.servlet.ServletWebRequest |
|---|
getContextPath, getHttpServletRequest, getLocale, getPath, getRelativeURL, getServletPath, isAjax, newMultipartWebRequest, toString |
| Methods inherited from class wicket.protocol.http.WebRequest |
|---|
getCookies, getURL |
| Methods inherited from class wicket.Request |
|---|
decodeURL, getPage, getRequestParameters, setPage |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait |
| Constructor Detail |
|---|
public MultipartServletWebRequest(javax.servlet.http.HttpServletRequest request,
Bytes maxSize)
throws FileUploadException
maxSize - the maximum size this request may berequest - the servlet request
FileUploadException - Thrown if something goes wrong with upload| Method Detail |
|---|
public java.util.Map getFiles()
getFiles in interface IMultipartWebRequestpublic FileItem getFile(java.lang.String fieldName)
getFile in interface IMultipartWebRequestfieldName - the field name that was used for the upload
public java.lang.String getParameter(java.lang.String key)
ServletWebRequest
getParameter in class ServletWebRequestkey - Parameter name
WebRequest.getParameter(java.lang.String)public java.util.Map getParameterMap()
ServletWebRequest
getParameterMap in class ServletWebRequestWebRequest.getParameterMap()public java.lang.String[] getParameters(java.lang.String key)
ServletWebRequest
getParameters in class ServletWebRequestkey - Parameter name
WebRequest.getParameters(java.lang.String)protected boolean wantUploadProgressUpdates()
protected void onUploadStarted(int totalBytes)
totalBytes -
protected void onUploadUpdate(int bytesUploaded,
int total)
bytesUploaded - total - protected void onUploadCompleted()
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||